--the SDL Key syms
--exact same ones used by SDL
--except number keys have an underscore before them

Keys = {}

Keys.UNKNOWN = 0
Keys.FIRST = 0
Keys.BACKSPACE = 8
Keys.TAB = 9
Keys.CLEAR = 12
Keys.RETURN = 13
Keys.PAUSE = 19
Keys.ESCAPE = 27
Keys.SPACE = 32
Keys.EXCLAIM = 33
Keys.QUOTEDBL = 34
Keys.HASH = 35
Keys.DOLLAR = 36
Keys.AMPERSAND = 38
Keys.QUOTE = 39
Keys.LEFTPAREN = 40
Keys.RIGHTPAREN = 41
Keys.ASTERISK = 42
Keys.PLUS = 43
Keys.COMMA = 44
Keys.MINUS = 45
Keys.PERIOD = 46
Keys.SLASH = 47
Keys._0 = 48
Keys._1 = 49
Keys._2 = 50
Keys._3 = 51
Keys._4 = 52
Keys._5 = 53
Keys._6 = 54
Keys._7 = 55
Keys._8 = 56
Keys._9 = 57
Keys.COLON = 58
Keys.SEMICOLON = 59
Keys.LESS = 60
Keys.EQUALS = 61
Keys.GREATER = 62
Keys.QUESTION = 63
Keys.AT = 64
 
--/* Skip uppercase letters */

Keys.LEFTBRACKET= 91
Keys.BACKSLASH = 92
Keys.RIGHTBRACKET= 93
Keys.CARET = 94
Keys.UNDERSCORE = 95
Keys.BACKQUOTE = 96
Keys.a = 97
Keys.b = 98
Keys.c = 99
Keys.d = 100
Keys.e = 101
Keys.f = 102
Keys.g = 103
Keys.h = 104
Keys.i = 105
Keys.j = 106
Keys.k = 107
Keys.l = 108
Keys.m = 109
Keys.n = 110
Keys.o = 111
Keys.p = 112
Keys.q = 113
Keys.r = 114
Keys.s = 115
Keys.t = 116
Keys.u = 117
Keys.v = 118
Keys.w = 119
Keys.x = 120
Keys.y = 121
Keys.z = 122
Keys.DELETE = 127
--/* End of ASCII mapped keysyms */

--/* International keyboard syms */
Keys.WORLD_0 = 160 --/* 0xA0 */
Keys.WORLD_1 = 161
Keys.WORLD_2 = 162
Keys.WORLD_3 = 163
Keys.WORLD_4 = 164
Keys.WORLD_5 = 165
Keys.WORLD_6 = 166
Keys.WORLD_7 = 167
Keys.WORLD_8 = 168
Keys.WORLD_9 = 169
Keys.WORLD_10 = 170
Keys.WORLD_11 = 171
Keys.WORLD_12 = 172
Keys.WORLD_13 = 173
Keys.WORLD_14 = 174
Keys.WORLD_15 = 175
Keys.WORLD_16 = 176
Keys.WORLD_17 = 177
Keys.WORLD_18 = 178
Keys.WORLD_19 = 179
Keys.WORLD_20 = 180
Keys.WORLD_21 = 181
Keys.WORLD_22 = 182
Keys.WORLD_23 = 183
Keys.WORLD_24 = 184
Keys.WORLD_25 = 185
Keys.WORLD_26 = 186
Keys.WORLD_27 = 187
Keys.WORLD_28 = 188
Keys.WORLD_29 = 189
Keys.WORLD_30 = 190
Keys.WORLD_31 = 191
Keys.WORLD_32 = 192
Keys.WORLD_33 = 193
Keys.WORLD_34 = 194
Keys.WORLD_35 = 195
Keys.WORLD_36 = 196
Keys.WORLD_37 = 197
Keys.WORLD_38 = 198
Keys.WORLD_39 = 199
Keys.WORLD_40 = 200
Keys.WORLD_41 = 201
Keys.WORLD_42 = 202
Keys.WORLD_43 = 203
Keys.WORLD_44 = 204
Keys.WORLD_45 = 205
Keys.WORLD_46 = 206
Keys.WORLD_47 = 207
Keys.WORLD_48 = 208
Keys.WORLD_49 = 209
Keys.WORLD_50 = 210
Keys.WORLD_51 = 211
Keys.WORLD_52 = 212
Keys.WORLD_53 = 213
Keys.WORLD_54 = 214
Keys.WORLD_55 = 215
Keys.WORLD_56 = 216
Keys.WORLD_57 = 217
Keys.WORLD_58 = 218
Keys.WORLD_59 = 219
Keys.WORLD_60 = 220
Keys.WORLD_61 = 221
Keys.WORLD_62 = 222
Keys.WORLD_63 = 223
Keys.WORLD_64 = 224
Keys.WORLD_65 = 225
Keys.WORLD_66 = 226
Keys.WORLD_67 = 227
Keys.WORLD_68 = 228
Keys.WORLD_69 = 229
Keys.WORLD_70 = 230
Keys.WORLD_71 = 231
Keys.WORLD_72 = 232
Keys.WORLD_73 = 233
Keys.WORLD_74 = 234
Keys.WORLD_75 = 235
Keys.WORLD_76 = 236
Keys.WORLD_77 = 237
Keys.WORLD_78 = 238
Keys.WORLD_79 = 239
Keys.WORLD_80 = 240
Keys.WORLD_81 = 241
Keys.WORLD_82 = 242
Keys.WORLD_83 = 243
Keys.WORLD_84 = 244
Keys.WORLD_85 = 245
Keys.WORLD_86 = 246
Keys.WORLD_87 = 247
Keys.WORLD_88 = 248
Keys.WORLD_89 = 249
Keys.WORLD_90 = 250
Keys.WORLD_91 = 251
Keys.WORLD_92 = 252
Keys.WORLD_93 = 253
Keys.WORLD_94 = 254
Keys.WORLD_95 = 255 --/* 0xFF */

--/* Numeric keypad */
Keys.KP0 = 256
Keys.KP1 = 257
Keys.KP2 = 258
Keys.KP3 = 259
Keys.KP4 = 260
Keys.KP5 = 261
Keys.KP6 = 262
Keys.KP7 = 263
Keys.KP8 = 264
Keys.KP9 = 265
Keys.KP_PERIOD = 266
Keys.KP_DIVIDE = 267
Keys.KP_MULTIPLY= 268
Keys.KP_MINUS = 269
Keys.KP_PLUS = 270
Keys.KP_ENTER = 271
Keys.KP_EQUALS = 272

--/* Arrows + Home/End pad */
Keys.UP = 273
Keys.DOWN = 274
Keys.RIGHT = 275
Keys.LEFT = 276
Keys.INSERT = 277
Keys.HOME = 278
Keys.END = 279
Keys.PAGEUP = 280
Keys.PAGEDOWN = 281

--/* Function keys */
Keys.F1 = 282
Keys.F2 = 283
Keys.F3 = 284
Keys.F4 = 285
Keys.F5 = 286
Keys.F6 = 287
Keys.F7 = 288
Keys.F8 = 289
Keys.F9 = 290
Keys.F10 = 291
Keys.F11 = 292
Keys.F12 = 293
Keys.F13 = 294
Keys.F14 = 295
Keys.F15 = 296

--/* Key state modifier keys */
Keys.NUMLOCK = 300
Keys.CAPSLOCK = 301
Keys.SCROLLOCK = 302
Keys.RSHIFT = 303
Keys.LSHIFT = 304
Keys.RCTRL = 305
Keys.LCTRL = 306
Keys.RALT = 307
Keys.LALT = 308
Keys.RMETA = 309
Keys.LMETA = 310
Keys.LSUPER = 311 --/* Left "Windows" key */
Keys.RSUPER = 312 --/* Right "Windows" key */
Keys.MODE = 313 --/* "Alt Gr" key */
Keys.COMPOSE = 314 --/* Multi-key compose key */

--/* Miscellaneous function keys */
Keys.HELP = 315
Keys.PRINT = 316
Keys.SYSREQ = 317
Keys.BREAK = 318
Keys.MENU = 319
Keys.POWER = 320 --/* Power Macintosh power key */
Keys.EURO = 321 --/* Some european keyboards */
Keys.UNDO = 322 --/* Atari keyboard has Undo */
